Package com.independentsoft.office.odf

# Class ConfigurationItemMapEntry

java.lang.Object
com.independentsoft.office.odf.ConfigurationItemMapEntry

All Implemented Interfaces:
  `IConfigurationItem`

public class ConfigurationItemMapEntry extends Object implements IConfigurationItem
Represents a container element for application setting elements.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigurationItemMapEntry()`
  Initializes a new instance of the ConfigurationItemMapEntry class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConfigurationItemMapEntry`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<IConfigurationItem>`
  `getItems()`
  Contains a collection of configuration items.
  `String`
  `getName()`
  Gets the name of an application setting, an application setting sequence, or an application setting container.
  `void`
  `setName​(String name)`
  Sets the name of an application setting, an application setting sequence, or an application setting container.
  `String`
  `toString()`
  Converts the value of the current ConfigurationItemMapEntry object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ConfigurationItemMapEntry

    public ConfigurationItemMapEntry()
    Initializes a new instance of the ConfigurationItemMapEntry class.

- ## Method Details

  - ### clone

    public ConfigurationItemMapEntry clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IConfigurationItem`
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current ConfigurationItemMapEntry object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getName

    public String getName()
    Gets the name of an application setting, an application setting sequence, or an application setting container.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name of an application setting, an application setting sequence, or an application setting container.
    Parameters:
      `name` - the new name

  - ### getItems

    public List<IConfigurationItem> getItems()
    Contains a collection of configuration items.
    Returns:
      the items